Parameters: 
  SNSTopicName: 
    Type: String
    Description: 'Please provide the topic name'
Resources: 
  MySNSTopic:
    Type: AWS::SNS::Topic
    Properties:
      Subscription:
        - Endpoint: example@email.com
          Protocol: "email"
      TopicName: !Ref 'SNSTopicName'